Сервер Ubuntu 12,04 способных - получает ошибки обновления (404, W: Не удалось выбрать …),

Это смесь. Каждый пакет может быть лицензирован на разных условиях.

Как правило, право изменять его и распространять каждый пакет в основном и юниверсе, некоторые пакеты могут иметь ограничения на это, например, имя и логотип firefox являются товарными знаками, поэтому нельзя использовать без разрешения Mozilla.

Вы можете посмотреть отдельные лицензии на пакеты в / usr / share / doc / * / copyright

1
задан 2 February 2014 в 05:22

2 ответа

Может случиться так, что некоторые серверы на какое-то время не работают - из-за технического обслуживания. Или что некоторые пакеты / репозитории больше не предоставляются (например, medibuntu).

Таким образом, вы можете запустить update-manager через пункт меню «system-tools». Затем в меню менеджера обновлений нажмите «изменить» - выберите «источники программного обеспечения». Затем вы можете проверить в списке «Программное обеспечение и обновления» на вкладке «другое программное обеспечение», где перехват установлен слишком много или где перехват отсутствует.

В терминале вы можете проверить с помощью ...:

sudo apt-get update

, какая запись вызывает сообщение об ошибке касающегося сервера.

Тогда вы знаете, где установить недостающий хук в «другом программном обеспечении» или где убрать хук.

0
ответ дан 2 February 2014 в 05:22

Хорошо - после некоторого расследования серверы имен, которые мне предоставили для этого сервера, не проходили правильно через запрос из-за некоторого странного способа фильтрации трафика в сети. Я добавил прокси, который, как я знал, обошел этот фильтр в /etc/environment, используя http_proxy = ip.of.proxy.server: port и вуаля! Теперь это работает.

Я публикую это на тот случай, если это поможет кому-то, у кого похожая головная боль!

0
ответ дан 2 February 2014 в 05:22

Другие вопросы по тегам:

Похожие вопросы: